Subject: bug#43865: mml-attach-file could call system file chooser

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 12 Oct 2020 19:35:46 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

LI> Perhaps I closed this bug report prematurely -- Dan has a point here:
LI> `C-c C-a' in Message is kinda special in one way, in that it's commonly
LI> used to insert images and the like into an email.  For images, you want
LI> the graphical file chooser, because it often shows you thumbnails and
LI> stuff.

Bad news dudes, I just compared Firefox's visual file chooser:

and Emacs',

and Emacs' doesn't have thumbnails, meaning it is not going to help us,
er, prevent us from accidentally attaching a naked picture of grand*a,
when we thought we were attaching that sphygmograph JPG from last week's
lab test.

P.S., Emacs' says in the image "If you don't like this file selector..."
Well we do! We just oddly aren't allowed to call it via the keyboard.
Also we wish it had thumbnails for image files.